<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'btravel',

    /*
     * Package.
     */
    'package'   => 'objects',

    /*
     * Modules.
     */
    'modules'   => ['ship', 
'hotel', 
'club'],

    'ship'       => [
        'model' => [
            'model'                 => \Btravel\Objects\Models\Ship::class,
            'table'                 => 'ships',
            'presenter'             => \Btravel\Objects\Repositories\Presenter\ShipPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'brand_id',  'attribute_id',  'country_id',  'flights_id',  'title',  'stars',  'booking_link',  'duration',  'price',  'status',  'type',  'latitude',  'longitude',  'details',  'leisure_offers',  'our_privileges',  'images',  'videos',  'meta_title',  'meta_description',  'meta_keywords',  'slug',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'objects/ship',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Btravel',
            'package'   => 'Objects',
            'module'    => 'Ship',
        ],

    ],

    'hotel'       => [
        'model' => [
            'model'                 => \Btravel\Objects\Models\Hotel::class,
            'table'                 => 'hotels',
            'presenter'             => \Btravel\Objects\Repositories\Presenter\HotelPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'brand_id',  'attribute_id',  'country_id',  'flights_id',  'title',  'stars',  'booking_link',  'duration',  'price',  'status',  'type',  'latitude',  'longitude',  'details',  'leisure_offers',  'our_privileges',  'images',  'videos',  'meta_title',  'meta_description',  'meta_keywords',  'slug',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'objects/hotel',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Btravel',
            'package'   => 'Objects',
            'module'    => 'Hotel',
        ],

    ],

    'club'       => [
        'model' => [
            'model'                 => \Btravel\Objects\Models\Club::class,
            'table'                 => 'clubs',
            'presenter'             => \Btravel\Objects\Repositories\Presenter\ClubPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'brand_id',  'attribute_id',  'country_id',  'flights_id',  'title',  'stars',  'booking_link',  'duration',  'price',  'status',  'type',  'latitude',  'longitude',  'details',  'leisure_offers',  'our_privileges',  'images',  'videos',  'meta_title',  'meta_description',  'meta_keywords',  'slug',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'objects/club',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Btravel',
            'package'   => 'Objects',
            'module'    => 'Club',
        ],

    ],
];
