<?php

namespace Btravel\Object\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Btravel\Object\Interfaces\ClubRepositoryInterface;

class ClubPublicController extends BaseController
{
    // use ClubWorkflow;

    /**
     * Constructor.
     *
     * @param type \Btravel\Club\Interfaces\ClubRepositoryInterface $club
     *
     * @return type
     */
    public function __construct(ClubRepositoryInterface $club)
    {
        $this->repository = $club;
        parent::__construct();
    }

    /**
     * Show club's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $clubs = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('$object::club.names'))
            ->view('object::club.index')
            ->data(compact('clubs'))
            ->output();
    }


    /**
     * Show club.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $club = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($$club->name . trans('object::club.name'))
            ->view('object::club.show')
            ->data(compact('club'))
            ->output();
    }

}
