<?php

namespace Btravel\Object\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Ship policy
        'Btravel\Object\Models\Ship' => \Btravel\Object\Policies\ShipPolicy::class,// Bind Hotel policy
        'Btravel\Object\Models\Hotel' => \Btravel\Object\Policies\HotelPolicy::class,// Bind Club policy
        'Btravel\Object\Models\Club' => \Btravel\Object\Policies\ClubPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
