<?php

namespace Btravel\Objects\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ClubTransformer extends TransformerAbstract
{
    public function transform(\Btravel\Objects\Models\Club $club)
    {
        return [
            'id'                => $club->getRouteKey(),
            'key'               => [
                'public'    => $club->getPublicKey(),
                'route'     => $club->getRouteKey(),
            ], 
            'id'                => $club->id,
            'brand_id'          => $club->brand_id,
            'attribute_id'      => $club->attribute_id,
            'country_id'        => $club->country_id,
            'flights_id'        => $club->flights_id,
            'title'             => $club->title,
            'stars'             => $club->stars,
            'booking_link'      => $club->booking_link,
            'duration'          => $club->duration,
            'price'             => $club->price,
            'status'            => $club->status,
            'type'              => $club->type,
            'latitude'          => $club->latitude,
            'longitude'         => $club->longitude,
            'details'           => $club->details,
            'leisure_offers'    => $club->leisure_offers,
            'our_privileges'    => $club->our_privileges,
            'images'            => $club->images,
            'videos'            => $club->videos,
            'meta_title'        => $club->meta_title,
            'meta_description'  => $club->meta_description,
            'meta_keywords'     => $club->meta_keywords,
            'slug'              => $club->slug,
            'user_id'           => $club->user_id,
            'user_type'         => $club->user_type,
            'created_at'        => $club->created_at,
            'updated_at'        => $club->updated_at,
            'deleted_at'        => $club->deleted_at,
            'url'               => [
                'public'    => trans_url('objects/'.$club->getPublicKey()),
                'user'      => guard_url('objects/club/'.$club->getRouteKey()),
            ], 
            'status'            => trans('app.'.$club->status),
            'created_at'        => format_date($club->created_at),
            'updated_at'        => format_date($club->updated_at),
        ];
    }
}