<?php

namespace Btravel\Objects\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class HotelTransformer extends TransformerAbstract
{
    public function transform(\Btravel\Objects\Models\Hotel $hotel)
    {
        return [
            'id'                => $hotel->getRouteKey(),
            'key'               => [
                'public'    => $hotel->getPublicKey(),
                'route'     => $hotel->getRouteKey(),
            ], 
            'id'                => $hotel->id,
            'brand_id'          => $hotel->brand_id,
            'attribute_id'      => $hotel->attribute_id,
            'country_id'        => $hotel->country_id,
            'flights_id'        => $hotel->flights_id,
            'title'             => $hotel->title,
            'stars'             => $hotel->stars,
            'booking_link'      => $hotel->booking_link,
            'duration'          => $hotel->duration,
            'price'             => $hotel->price,
            'status'            => $hotel->status,
            'type'              => $hotel->type,
            'latitude'          => $hotel->latitude,
            'longitude'         => $hotel->longitude,
            'details'           => $hotel->details,
            'leisure_offers'    => $hotel->leisure_offers,
            'our_privileges'    => $hotel->our_privileges,
            'images'            => $hotel->images,
            'videos'            => $hotel->videos,
            'meta_title'        => $hotel->meta_title,
            'meta_description'  => $hotel->meta_description,
            'meta_keywords'     => $hotel->meta_keywords,
            'slug'              => $hotel->slug,
            'user_id'           => $hotel->user_id,
            'user_type'         => $hotel->user_type,
            'created_at'        => $hotel->created_at,
            'updated_at'        => $hotel->updated_at,
            'deleted_at'        => $hotel->deleted_at,
            'url'               => [
                'public'    => trans_url('objects/'.$hotel->getPublicKey()),
                'user'      => guard_url('objects/hotel/'.$hotel->getRouteKey()),
            ], 
            'status'            => trans('app.'.$hotel->status),
            'created_at'        => format_date($hotel->created_at),
            'updated_at'        => format_date($hotel->updated_at),
        ];
    }
}