<?php

namespace Btravel\Objects\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ShipTransformer extends TransformerAbstract
{
    public function transform(\Btravel\Objects\Models\Ship $ship)
    {
        return [
            'id'                => $ship->getRouteKey(),
            'key'               => [
                'public'    => $ship->getPublicKey(),
                'route'     => $ship->getRouteKey(),
            ], 
            'id'                => $ship->id,
            'brand_id'          => $ship->brand_id,
            'attribute_id'      => $ship->attribute_id,
            'country_id'        => $ship->country_id,
            'flights_id'        => $ship->flights_id,
            'title'             => $ship->title,
            'stars'             => $ship->stars,
            'booking_link'      => $ship->booking_link,
            'duration'          => $ship->duration,
            'price'             => $ship->price,
            'status'            => $ship->status,
            'type'              => $ship->type,
            'latitude'          => $ship->latitude,
            'longitude'         => $ship->longitude,
            'details'           => $ship->details,
            'leisure_offers'    => $ship->leisure_offers,
            'our_privileges'    => $ship->our_privileges,
            'images'            => $ship->images,
            'videos'            => $ship->videos,
            'meta_title'        => $ship->meta_title,
            'meta_description'  => $ship->meta_description,
            'meta_keywords'     => $ship->meta_keywords,
            'slug'              => $ship->slug,
            'user_id'           => $ship->user_id,
            'user_type'         => $ship->user_type,
            'created_at'        => $ship->created_at,
            'updated_at'        => $ship->updated_at,
            'deleted_at'        => $ship->deleted_at,
            'url'               => [
                'public'    => trans_url('objects/'.$ship->getPublicKey()),
                'user'      => guard_url('objects/ship/'.$ship->getRouteKey()),
            ], 
            'status'            => trans('app.'.$ship->status),
            'created_at'        => format_date($ship->created_at),
            'updated_at'        => format_date($ship->updated_at),
        ];
    }
}